// src/hooks/table/filters/use-order-table-filters.tsx
import { useTranslation } from "react-i18next";
import { useMemo } from "react";
var useOrderTableFilters = () => {
  const { t } = useTranslation();
  return useMemo(() => {
    const filters = [];
    const dateFilters = [
      { label: t("fields.createdAt"), key: "created_at" },
      { label: t("fields.updatedAt"), key: "updated_at" }
    ].map((f) => ({
      key: f.key,
      label: f.label,
      type: "date"
    }));
    filters.push(...dateFilters);
    return filters;
  }, [t]);
};

export {
  useOrderTableFilters
};
